Bug 194548 - Gnupg CCID driver-related permissions and missing scard user group
Gnupg CCID driver-related permissions and missing scard user group
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-08 17:43 EDT by Lorenzo Hernández García-Hierro (a.k.a. trulux)
Modified: 2008-05-06 11:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:59:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lorenzo Hernández García-Hierro (a.k.a. trulux) 2006-06-08 17:43:17 EDT
Description of problem:

gnupg ccid driver requires both read and write pemissons to the USB device node
of the attached smart card reader (ex. the widely used SCR-335). Default
installation doesn't create a scard group which is required for setting the
access permissions on a per-group basis (users belonging to the scard group will
be able to write to smart card reader devices), as well as missing udev/proper
permission setting rules/script.

Version-Release number of selected component (if applicable):

gpg (GnuPG) 1.4.3

How reproducible:

Always.

Steps to Reproduce:
1. Plug a USB smart card reader.
2. Issue the 'gpg --card-status' command as normal user
3. Issue the 'gpg --card-status' command as root user
  
Actual results:

Non-root users are unable to use smart cards with the gnupg ccid driver.
scard group doesn't exist.
Permissions for device noes aren't set and udev rules are missing.

Expected results:

Non privileged users in the scard group should be able to make use of smart
cards equipment without need of transition to a privileged account.

Additional info:

SELinux has nothing to do with this bug, but it could be used to apply
fine-grained permissions for controlling access to smart card devices, instead
of the standard Linux kernel DAC (user/group based permissions).

Example fix:

(Used lsusb from usbutils package for determining the bus and device node used
by the reader, thanks to Steve Grubb for pointing this out)

[lorenzo@echidna]$ gpg --card-status
gpg: pcsc_establish_context failed: no service (0x8010001d)
gpg: card reader not available
[lorenzo@echidna]$ sudo chown -R root.scard /dev/bus/usb/002/
[lorenzo@echidna]$ sudo chmod g+w -R /dev/bus/usb/002/
[lorenzo@echidna]$ gpg --card-status
Application ID ...: (...)
Version ..........: 1.1
Manufacturer .....: (...)
Serial number ....: (...)

I've found that some other users had trouble with this as well:
http://www.gossamer-threads.com/lists/gnupg/users/36991
Comment 1 Bug Zapper 2008-04-03 23:04:06 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 11:59:33 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.